<template>
	<v-divider
		class="border-opacity-100"
		color="#E4E4E4"
		:thickness="2"
	></v-divider>
	<v-container class="ma-auto pt-8">
		<UserData :user="user" />
		<CreateFormUser @createNewUser="createNewUser" :titleBtn="changeBtn" />
	</v-container>
</template>

<script>
import UserData from '@/components/UserData.vue'
import CreateFormUser from '@/components/CreateFormUser.vue'
import { mapGetters } from 'vuex'

export default {
	name: 'EditEmployeePage',
	components: {
		UserData,
		CreateFormUser,
	},
	data() {
		return {
			changeBtn: 'SAVE CHANGE',
		}
	},
	computed: {
		...mapGetters(['getEmployeeById']),
		user() {
			return this.getEmployeeById(this.$route.params.id)
		},
	},
	methods: {
		createNewUser(changedUser) {
			return Object.assign(this.getEmployeeById(changedUser.id), changedUser)
		},
	},
}
</script>

<style lang="scss" scoped>
.v-container {
	padding-bottom: 50px;
}
</style>
